#version 330 core
  
layout(location = 0) in vec3 vVertex;	//położenie wierzchołka w przestrzeni obiektu

//uniform
uniform mat4 MVP;  //połączona macierz modelu, widoku i rzutowania

//dane wyjściowe dla shadera fragmentów
smooth out vec3 uv;	//trójwymiarowe współrzędne potrzebne do próbkowania tekstury
void main()
{ 	 	
	//położenie w przestrzeni przycięcia
	gl_Position = MVP*vec4(vVertex,1);
	
	//współrzędne wierzchołka z przestrzeni obiektu jako wyjściowe współrzędne tekstury
	uv = vVertex;
}